
QGIS Application - Bug report #12778

Quick field calc bar in attribute table bug

2015-05-19 09:26 AM - Andre Duarte Duarte

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 20877

Description

When I delete or add fields and use quick field calc bar then update the wrong field. For example, I have four fields and updated the

second and eliminate the first. When I go to update the second field, the current first will update the third field, the current second.

History

#1 - 2015-05-20 07:16 AM - Saber Razmjooei

- Affected QGIS version changed from 2.6.1 to 2.8.2

Confirmed also in QGIS 2.8.2

Feild Calculator does not seem to have been affected by this problem.

#2 - 2015-05-20 08:45 AM - Andre Duarte Duarte

- File tests.zip added

I´ve comfirmed in QGIS 2.8.1 and 2.8.2 (WIN8.1 and WIN7). In the Field calculator does not affect but in quick field calc bar change the calculations. 

In attached send the shapefile. Please test this: With quick field calc bar updating the field_2 with "Blue" and save. After saving delete the field_1, save and

stop editing. Later again update the  "Field_2". When I do that updated on the old position of Field_2.

#3 - 2015-05-21 08:51 AM - Giovanni Manghi

- OS version deleted (7)

- Crashes QGIS or corrupts data changed from No to Yes

- Operating System deleted (Windows)

- Priority changed from Normal to High

it affects also linux, and I raise the prioprity as it corrupts the data. Anyway is not a regression, seems that has always been like that since the quick bar has

been introduced.

#4 - 2015-05-25 03:33 AM - Arnaud Morvan

Pull request proposed: https://github.com/qgis/QGIS/pull/2075

#5 - 2015-05-25 04:23 AM - Giovanni Manghi
https://github.com/qgis/QGIS/pull/2075


- Pull Request or Patch supplied changed from No to Yes

#6 - 2015-05-27 07:41 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Files

tests.zip 2 KB 2015-05-20 Andre Duarte Duarte
